using System.Collections;
using System.Collections.Generic;

namespace NBuilding
{
    public static class BuildingBuilder
    {
        public static ABuilding Build(ABuilding.BuildingID eBuilding)
        {
            switch (eBuilding)
            {
                case ABuilding.BuildingID.Farm:
                {
                    return new Farm();
                }

                case ABuilding.BuildingID.Smeltery:
                {
                    return new Smeltery();
                }

                case ABuilding.BuildingID.Armory:
                {
                    return new Armory();
                }

                case ABuilding.BuildingID.Spaceport:
                {
                    return new Spaceport();
                }

                case ABuilding.BuildingID.Market:
                {
                    return new Market();
                }

                default:
                {
                    return null;
                }
            }
        }
    }
}
